Developers

Geliştiriciler için API Referansı

An API key is required for requests to be processed by the system. Once a user registers, an API key is automatically generated for this user.

Başlarken

İsteklerin sistem tarafından işlenmesi için bir API anahtarı gereklidir.Bir kullanıcı kaydolduğunda, bu kullanıcı için otomatik olarak bir API anahtarı oluşturulur.API anahtarı her istekle birlikte gönderilmelidir (aşağıdaki tam örneğe bakın).API anahtarı gönderilmezse veya süresi dolmuşsa bir hata olacaktır.Kötüye kullanımı önlemek için lütfen API anahtarınızı gizli tuttuğunuzdan emin olun.

Kimlik doğrulama

API sistemiyle kimlik doğrulaması yapmak için API anahtarınızı her istekle birlikte bir yetkilendirme belirteci olarak göndermeniz gerekir.Aşağıda örnek kodu görebilirsiniz.

curl --location --request POST 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \ 

Oran Sınırı

API'miz, kararlılığını en üst düzeye çıkarmak için isteklerdeki ani artışlara karşı koruma sağlayan bir hız sınırlayıcıya sahiptir.Hız sınırlayıcımız şu anda 1 dakika başına 30 istekle sınırlandırılmıştır.请注意,费率可能会根据订阅的计划而变化。

Yanıtın yanında birkaç başlık gönderilir ve bunlar istekle ilgili çeşitli bilgileri belirlemek için incelenebilir.

X-RateLimit-Limit: 30X-RateLimit-Remaining: 29X-RateLimit-Reset: TIMESTAMP

Yanıt İşleme

Tüm API yanıtı, varsayılan olarak JSON biçiminde döndürülür.Bunu kullanılabilir verilere dönüştürmek için dile göre uygun işlevin kullanılması gerekecektir.PHP'de, json_decode() işlevi, verileri bir nesneye (varsayılan) veya bir diziye (ikinci parametreyi true olarak ayarlayın) dönüştürmek için kullanılabilir.Hata anahtarının kontrol edilmesi bir hata olup olmadığı hakkında bilgi verdiği için çok önemlidir.Başlık kodunu da kontrol edebilirsiniz.

{
    "error": 1,
    "message": "An error occurred"
}

CTA Yer Paylaşımları

列出 CTA 叠加

获取 https://urlkai.com/api/overlay?limit=2&page=1

要通过 API 获取 CTA 叠加,您可以使用此端点。您还可以筛选数据(有关更多信息,请参阅表格)。

参数 Açıklama
限制 (可选)每页数据结果
页 (可选)当前页面请求
curl --location --request GET 'https://urlkai.com/api/overlay?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "cta": [
            {
                "id": 1,
                "type": "message",
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "contact",
                "name": "Contact Page",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

列出文件

获取 https://urlkai.com/api/files?limit=2&page=1

获取您的所有文件。您还可以按名称搜索。

参数 Açıklama
名字 (可选)按名称搜索文件
限制 (可选)每页数据结果
页 (可选)当前页面请求
curl --location --request GET 'https://urlkai.com/api/files?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "result": 3,
    "perpage": 15,
    "currentpage": 1,
    "nextpage": null,
    "maxpage": 1,
    "list": [
        {
            "id": 1,
            "name": "My Photo",
            "downloads": 10,
            "shorturl": "https:\/\/urlkai.com\/UzrQO",
            "date": "2022-08-09 17:00:00"
        },
        {
            "id": 2,
            "name": "My Documents",
            "downloads": 15,
            "shorturl": "https:\/\/urlkai.com\/QRSaR",
            "date": "2022-08-10 17:01:00"
        },
        {
            "id": 3,
            "name": "My Files",
            "downloads": 5,
            "shorturl": "https:\/\/urlkai.com\/fkhIc",
            "date": "2022-08-11 19:01:00"
        }
    ]
}

上传文件

发布 https://urlkai.com/api/files/upload/:filename?name=My+File

通过将二进制数据作为 post 正文发送来上传文件。您需要发送包含 extensions 而不是 url 中的 :filename 的文件名(例如 brandkit.zip)。您可以通过发送以下参数来设置选项。

参数 Açıklama
名字 (可选)文件名
习惯 (可选)自定义别名而不是随机别名。
域 (可选)自定义域
密码 (可选)密码保护
满期 (可选)下载示例的过期时间 2021-09-28
最大下载 (可选)最大下载次数
curl --location --request POST 'https://urlkai.com/api/files/upload/:filename?name=My+File' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '"BINARY DATA"'

Sunucu durumu

{
    "error": 0,
    "id": 1,
    "shorturl": "https:\/\/urlkai.com\/VSpra"
}

赫萨普

赫萨普 Al

获取 https://urlkai.com/api/account

Hesapla ilgili bilgi almak için bu uç noktaya bir istek gönderebilirsiniz ve bu, hesapla ilgili verileri döndürür.

curl --location --request GET 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "data": {
        "id": 1,
        "email": "[email protected]",
        "username": "sampleuser",
        "avatar": "https:\/\/domain.com\/content\/avatar.png",
        "status": "pro",
        "expires": "2022-11-15 15:00:00",
        "registered": "2020-11-10 18:01:43"
    }
}

Hesabı güncelle

放 https://urlkai.com/api/account/update

Hesapla ilgili bilgileri güncellemek için bu uç noktaya bir istek gönderebilirsiniz;Bu, hesaptaki verileri güncelleyecektir.

curl --location --request PUT 'https://urlkai.com/api/account/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "[email protected]",
    "password": "NewPassword1"
}'

Sunucu durumu

{
    "error": 0,
    "message": "Account has been successfully updated."
}

卡纳拉尔

列出频道

获取 https://urlkai.com/api/channels?limit=2&page=1

要通过 API 获取渠道,您可以使用此终端节点。您还可以筛选数据(有关更多信息,请参阅表格)。

参数 Açıklama
限制 (可选)每页数据结果
页 (可选)当前页面请求
curl --location --request GET 'https://urlkai.com/api/channels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "channels": [
            {
                "id": 1,
                "name": "Channel 1",
                "description": "Description of channel 1",
                "color": "#000000",
                "starred": true
            },
            {
                "id": 2,
                "name": "Channel 2",
                "description": "Description of channel 2",
                "color": "#FF0000",
                "starred": false
            }
        ]
    }
}

列出频道项

获取 https://urlkai.com/api/channel/:id?limit=1&page=1

要通过 API 获取选定渠道中的项目,您可以使用此端点。您还可以筛选数据(有关更多信息,请参阅表格)。

参数 Açıklama
限制 (可选)每页数据结果
页 (可选)当前页面请求
curl --location --request GET 'https://urlkai.com/api/channel/:id?limit=1&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "items": [
            {
                "type": "links",
                "id": 1,
                "title": "My Sample Link",
                "preview": "https:\/\/google.com",
                "link": "https:\/\/urlkai.com\/google",
                "date": "2022-05-12"
            },
            {
                "type": "bio",
                "id": 1,
                "title": "My Sample Bio",
                "preview": "https:\/\/urlkai.com\/mybio",
                "link": "https:\/\/urlkai.com\/mybio",
                "date": "2022-06-01"
            }
        ]
    }
}

Kanal Oluştur

发布 https://urlkai.com/api/channel/add

可以使用此终端节点添加通道。

参数 Açıklama
名字 (必填)频道名称
描述 (可选)频道描述
颜色 (可选)通道徽章颜色 (HEX)
主演 (可选)是否为频道加星标(true 或 false)
curl --location --request POST 'https://urlkai.com/api/channel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}'

Sunucu durumu

{
    "error": 0,
    "id": 3,
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}

将项目分配给渠道

发布 https://urlkai.com/api/channel/:channelid/assign/:type/:itemid

通过发送包含频道 ID、商品类型(链接、生物或 qr)和商品 ID 的请求,可以将商品分配给任何渠道。

参数 Açıklama
:channelid (必填)频道 ID
:类型 (必需)链接或个人简介或二维码
:itemid (必填)商品 ID
curl --location --request POST 'https://urlkai.com/api/channel/:channelid/assign/:type/:itemid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Item successfully added to the channel."
}

Kanalı Güncelle

放 https://urlkai.com/api/channel/:id/update

要更新通道,您需要通过 PUT 请求以 JSON 格式发送有效数据。数据必须作为请求的原始正文发送,如下所示。下面的示例显示了您可以发送的所有参数,但您不需要发送所有参数(有关更多信息,请参阅表格)。

参数 Açıklama
名字 (可选)频道名称
描述 (可选)频道描述
颜色 (可选)通道徽章颜色 (HEX)
主演 (可选)是否为频道加星标(true 或 false)
curl --location --request PUT 'https://urlkai.com/api/channel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}'

Sunucu durumu

{
    "error": 0,
    "message": "Channel has been updated successfully."
}

删除频道

删除 https://urlkai.com/api/channel/:id/delete

要删除频道,您需要发送 DELETE 请求。所有项目也将被取消分配。

curl --location --request DELETE 'https://urlkai.com/api/channel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Channel has been deleted successfully."
}

Markalı Alan Adları

列出品牌域

获取 https://urlkai.com/api/domains?limit=2&page=1

要通过 API 获取您的品牌域,您可以使用此终端节点。您还可以筛选数据(有关更多信息,请参阅表格)。

参数 Açıklama
限制 (可选)每页数据结果
页 (可选)当前页面请求
curl --location --request GET 'https://urlkai.com/api/domains?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "domains": [
            {
                "id": 1,
                "domain": "https:\/\/domain1.com",
                "redirectroot": "https:\/\/rootdomain.com",
                "redirect404": "https:\/\/rootdomain.com\/404"
            },
            {
                "id": 2,
                "domain": "https:\/\/domain2.com",
                "redirectroot": "https:\/\/rootdomain2.com",
                "redirect404": "https:\/\/rootdomain2.com\/404"
            }
        ]
    }
}

创建品牌域

发布 https://urlkai.com/api/domain/add

可以使用此终端节点添加域。请确保域正确指向我们的服务器。

参数 Açıklama
域 (必填)品牌域,包括 http 或 https
重定向根 (可选)当有人访问您的域时进行根重定向
重定向404 (可选)自定义 404 重定向
curl --location --request POST 'https://urlkai.com/api/domain/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}'

Sunucu durumu

{
    "error": 0,
    "id": 1
}

Alan Adını Güncelle

放 https://urlkai.com/api/domain/:id/update

要更新品牌域,您需要通过 PUT 请求以 JSON 格式发送有效数据。数据必须作为请求的原始正文发送,如下所示。下面的示例显示了您可以发送的所有参数,但您不需要发送所有参数(有关更多信息,请参阅表格)。

参数 Açıklama
重定向根 (可选)当有人访问您的域时进行根重定向
重定向404 (可选)自定义 404 重定向
curl --location --request PUT 'https://urlkai.com/api/domain/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}'

Sunucu durumu

{
    "error": 0,
    "message": "Domain has been updated successfully."
}

删除域

删除 https://urlkai.com/api/domain/:id/delete

要删除域,您需要发送 DELETE 请求。

curl --location --request DELETE 'https://urlkai.com/api/domain/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Domain has been deleted successfully."
}

皮克塞尔

列出像素

获取 https://urlkai.com/api/pixels?limit=2&page=1

要通过 API 获取像素代码,您可以使用此端点。您还可以筛选数据(有关更多信息,请参阅表格)。

参数 Açıklama
限制 (可选)每页数据结果
页 (可选)当前页面请求
curl --location --request GET 'https://urlkai.com/api/pixels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "pixels": [
            {
                "id": 1,
                "type": "gtmpixel",
                "name": "GTM Pixel",
                "tag": "GA-123456789",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "twitterpixel",
                "name": "Twitter Pixel",
                "tag": "1234567",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

创建 Pixel 像素代码

发布 https://urlkai.com/api/pixel/add

可以使用此端点创建像素。您需要发送像素类型和标签。

参数 Açıklama
类型 (必需) GTMepL |Gapixel 像素 |FB像素 |AdWords 像素 |领英像素 |推特像素 |广告像素 |QuoraPixel 像素代码 |Pinterest 公司 |必应 |Snapchat 的 |Reddit |抖音
名字 (必填)像素的自定义名称
标记 (必填)像素的标签
curl --location --request POST 'https://urlkai.com/api/pixel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Sunucu durumu

{
    "error": 0,
    "id": 1
}

Pixel'i Güncelle

放 https://urlkai.com/api/pixel/:id/update

要更新 Pixel 像素代码,您需要通过 PUT 请求以 JSON 格式发送有效数据。数据必须作为请求的原始正文发送,如下所示。下面的示例显示了您可以发送的所有参数,但您不需要发送所有参数(有关更多信息,请参阅表格)。

参数 Açıklama
名字 (可选)像素的自定义名称
标记 (必填)像素的标签
curl --location --request PUT 'https://urlkai.com/api/pixel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Sunucu durumu

{
    "error": 0,
    "message": "Pixel has been updated successfully."
}

删除像素

删除 https://urlkai.com/api/pixel/:id/delete

要删除像素,您需要发送 DELETE 请求。

curl --location --request DELETE 'https://urlkai.com/api/pixel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Pixel has been deleted successfully."
}

QR Kodları

列出二维码

获取 https://urlkai.com/api/qr?limit=2&page=1

API üzerinden QR kodlarınızı almak için bu uç noktayı kullanabilirsiniz.Ayrıca verileri filtreleyebilirsiniz (Daha fazla bilgi için tabloya bakın).

参数 Açıklama
限制 (可选)每页数据结果
页 (可选)当前页面请求
curl --location --request GET 'https://urlkai.com/api/qr?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "qrs": [
            {
                "id": 2,
                "link": "https:\/\/urlkai.com\/qr\/a2d5e",
                "scans": 0,
                "name": "Google",
                "date": "2020-11-10 18:01:43"
            },
            {
                "id": 1,
                "link": "https:\/\/urlkai.com\/qr\/b9edfe",
                "scans": 5,
                "name": "Google Canada",
                "date": "2020-11-10 18:00:25"
            }
        ]
    }
}

Tek bir QR Kodu alın

获取 https://urlkai.com/api/qr/:id

API aracılığıyla tek bir QR kodunun ayrıntılarını almak için bu uç noktayı kullanabilirsiniz.

curl --location --request GET 'https://urlkai.com/api/qr/:id' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "details": {
        "id": 1,
        "link": "https:\/\/urlkai.com\/qr\/b9edfe",
        "scans": 5,
        "name": "Google Canada",
        "date": "2020-11-10 18:00:25"
    },
    "data": {
        "clicks": 1,
        "uniqueClicks": 1,
        "topCountries": {
            "Unknown": "1"
        },
        "topReferrers": {
            "Direct, email and other": "1"
        },
        "topBrowsers": {
            "Chrome": "1"
        },
        "topOs": {
            "Windows 10": "1"
        },
        "socialCount": {
            "facebook": 0,
            "twitter": 0,
            "instagram": 0
        }
    }
}

QR Kodu Oluşturun

发布 https://urlkai.com/api/qr/add

要创建 QR 码,您需要通过 POST 请求以 JSON 格式发送有效数据。数据必须作为请求的原始正文发送,如下所示。下面的示例显示了您可以发送的所有参数,但您不需要发送所有参数(有关更多信息,请参阅表格)。

参数 Açıklama
类型 (必填) text |电子名片 |链接 |电子邮件 |电话 |短信 |无线网络
数据 (必填)要嵌入二维码中的数据。数据可以是字符串或数组,具体取决于类型
背景 (可选)RGB 颜色,例如 rgb(255,255,255)
前景 (可选)RGB 颜色,例如 rgb(0,0,0)
商标 (可选)徽标的路径 png 或 jpg
名字 (可选)二维码名称
curl --location --request POST 'https://urlkai.com/api/qr/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}'

Sunucu durumu

{
    "error": 0,
    "id": 3,
    "link": "https:\/\/urlkai.com\/qr\/a58f79"
}

更新二维码

放 https://urlkai.com/api/qr/:id/update

Bir QR Kodunu güncellemek için, bir PUT isteği aracılığıyla JSON'da geçerli bir veri göndermeniz gerekir.Veriler, aşağıda gösterildiği gibi isteğinizin ham gövdesi olarak gönderilmelidir.Aşağıdaki örnek, gönderebileceğiniz tüm parametreleri gösterir, ancak hepsini göndermeniz gerekmez (Daha fazla bilgi için tabloya bakın).

参数 Açıklama
数据 (必填)要嵌入二维码中的数据。数据可以是字符串或数组,具体取决于类型
背景 (可选)RGB 颜色,例如 rgb(255,255,255)
前景 (可选)RGB 颜色,例如 rgb(0,0,0)
商标 (可选)徽标的路径 png 或 jpg
curl --location --request PUT 'https://urlkai.com/api/qr/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}'

Sunucu durumu

{
    "error": 0,
    "message": "QR has been updated successfully."
}

QR Kodunu Sil

删除 https://urlkai.com/api/qr/:id/delete

Bir QR kodunu silmek için bir DELETE isteği göndermeniz gerekir.

curl --location --request DELETE 'https://urlkai.com/api/qr/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "QR Code has been deleted successfully."
}

坎帕尼亚拉尔

列出营销活动

获取 https://urlkai.com/api/campaigns?limit=2&page=1

要通过 API 获取您的促销活动,您可以使用此终端节点。您还可以筛选数据(有关更多信息,请参阅表格)。

参数 Açıklama
限制 (可选)每页数据结果
页 (可选)当前页面请求
curl --location --request GET 'https://urlkai.com/api/campaigns?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "campaigns": [
            {
                "id": 1,
                "name": "Sample Campaign",
                "public": false,
                "rotator": false,
                "list": "https:\/\/domain.com\/u\/admin\/list-1"
            },
            {
                "id": 2,
                "domain": "Facebook Campaign",
                "public": true,
                "rotator": "https:\/\/domain.com\/r\/test",
                "list": "https:\/\/domain.com\/u\/admin\/test-2"
            }
        ]
    }
}

Kampanya Oluştur

发布 https://urlkai.com/api/campaign/add

可以使用此终端节点添加活动。

参数 Açıklama
名字 (可选)活动名称
鼻涕虫 (可选)Rotator Slug
公共 (可选)访问
curl --location --request POST 'https://urlkai.com/api/campaign/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}'

Sunucu durumu

{
    "error": 0,
    "id": 3,
    "domain": "New Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/new-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/new-campaign-3"
}
发布 https://urlkai.com/api/campaign/:campaignid/assign/:linkid

可以使用此终端节点将短链接分配给营销活动。终端节点需要活动 ID 和短链接 ID。

curl --location --request POST 'https://urlkai.com/api/campaign/:campaignid/assign/:linkid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Link successfully added to the campaign."
}

Kampanyayı Güncelle

放 https://urlkai.com/api/campaign/:id/update

要更新活动,您需要通过 PUT 请求以 JSON 格式发送有效数据。数据必须作为请求的原始正文发送,如下所示。下面的示例显示了您可以发送的所有参数,但您不需要发送所有参数(有关更多信息,请参阅表格)。

参数 Açıklama
名字 (必填)活动名称
鼻涕虫 (可选)Rotator Slug
公共 (可选)访问
curl --location --request PUT 'https://urlkai.com/api/campaign/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}'

Sunucu durumu

{
    "error": 0,
    "id": 3,
    "domain": "Twitter Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/twitter-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/twitter-campaign-3"
}

删除活动

删除 https://urlkai.com/api/campaign/:id/delete

要删除活动,您需要发送 DELETE 请求。

curl --location --request DELETE 'https://urlkai.com/api/campaign/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Campaign has been deleted successfully."
}

Özel Splash

列出自定义启动画面

获取 https://urlkai.com/api/splash?limit=2&page=1

To get Splash Pages via the API, you can use this endpoint. You can also filter data (See table for more info).

参数 Açıklama
限制 (可选)每页数据结果
页 (可选)当前页面请求
curl --location --request GET 'https://urlkai.com/api/splash?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "splash": [
            {
                "id": 1,
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "name": "Product 2 Promo",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}